<?php  defined('_JEXEC') or die('Restricted access');

/**
 * @version 2.0 $Id: default_addlink.php,v 1.1 2010-02-17 21:49:14 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

require_once JPATH_COMPONENT.DS.'classes'.DS.'CaptchaUtils.php';

?>
<script language="javascript" type="text/javascript">
	function validate(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'cancelWebLink') {
			submitform( pressbutton );
			return;
		}
		if (form.title.value == ""){
			alert( "<?php echo JText::_( 'WEBLINK ITEM MUST HAVE A NAME', true ); ?>" );
			return false;
		} else if (form.catid.value == ""){
			alert( "<?php echo JText::_( 'WEBLINK NEED A WEBCATEGORY', true ); ?>" );
			return false;
		} else if (form.url.value == ""){
			alert( "<?php echo JText::_( 'WEBLINK ITEM MUST HAVE A URL', true ); ?>" );
			return false;
		} else {
			return true;
		}
	}
</script>

<form action="index.php" method="post" name="adminForm" id="adminForm" <?php if ($this->javascriptchecks) echo 'onSubmit="return validate()"' ?>>
	<fieldset class="adminform">
		<legend><?php echo JText::_('ADD NEW WEBLINK'); ?></legend>
		<table cellpadding="0" cellspacing="0" width="100%" id="ldinputdata" class="linktable">
		<tr>
			<td class="ldinputdata">
				<label for="title">
					<?php echo JText::_('LD_SITENAME'); ?>:
				</label>
			</td>
			<td class="ldinputdata">
				<input class="text_area" type="text" name="title" id="title" size="32" maxlength="250" value="<?php echo $this->weblink->title;?>" />
			</td>
		</tr>
		<?php if ($this->displayLongDescriptionAsHtml) {?>
		<tr>
			<td class="ldinputdata">
					<?php echo JText::_('published'); ?>:
			</td>
			<td class="ldinputdata">
				<?php echo $this->lists['published']; ?>
			</td>
		</tr>
		<?php } ?>
		<tr>
			<td class="ldinputdata">
				<label for="catid">
					<?php echo JText::_('WEBCATEGORY'); ?>:
				</label>
			</td>
			<td class="ldinputdata">
				<?php echo $this->lists['catid']; ?>
			</td>
		</tr>
		<tr>
			<td class="ldinputdata">
				<label for="url">
					<?php echo JText::_('SITE URL'); ?>:
				</label>
			</td>
			<td class="ldinputdata">
				<input class="text_area" type="text" name="url" id="url" size="32" maxlength="250" value="<?php echo $this->weblink->url; ?>" />
			</td>
		  </tr>
		  <tr>
			<td class="ldinputdata">
				<label for="description">
					<?php echo JText::_( 'WEBLINK DESCRIPTION' ); ?>
				</label>
			</td>
			<td class="ldinputdata">
				<textarea class="text_area" cols="44" rows="9" name="description" id="description"><?php echo $this->weblink->description; ?></textarea>
			</td>
		</tr>
		<tr>
			<td class="ldinputdata">
				<label for="description_long">
					<?php echo JText::_('WEBLINK LONG DESCRIPTION'); ?>
				</label>
			</td>
			<td class="ldinputdata"><?php if ($this->displayLongDescriptionAsHtml) {
				$editor =& JFactory::getEditor(); 
				echo $editor->display('description_long', $this->weblink->description_long, '100%;', '300', '60', '20' );  
				} else { ?>
					<textarea class="text_area" cols="44" rows="9" name="description_long" id="description_long"><?php echo $this->weblink->description_long; ?></textarea>
				<?php }?>		
			</td>
		</tr>
			<!-- security image -->
	<?php
	if (CaptchaUtils::isCaptchaEnable()) {
		?>
	<tr>
		<td class="ldinputdata"><?php echo JText::_('LD_CAPTCHA_CODE'); ?>:</td>
		<td class="ldinputdata"><?php echo CaptchaUtils::displayCaptcha();?></td>
	</tr>
	<?php } ?>
	<!-- end security image -->
	<tr>
		<td class="ldinputdata">&nbsp;</td>
		<td class="ldinputdata"><br />
		<table border="0" width="100%" cellpadding="0" cellspacing="0">
			<tr>
				<td valign="middle" align="left">
				<input type="hidden" name="option" value="<?php echo $option; ?>" />
				<input type="hidden" name="cid[]" value="<?php echo $this->weblink->id; ?>" />
				<input type="hidden" name="task" value="addWebLink" />
				<input type="hidden" name="source" value="<?php echo $this->source;?>" />
				<input type="hidden" name="sid" value="<?php echo $this->sid; ?>" />
				<input type="hidden" name="Itemid" value="<?php echo $this->Itemid ?>" />
				<?php echo JHTML::_( 'form.token' ); ?>
				<input type="submit" value="<?php echo JText::_('Save');?>" class="button" />
				</td>
				<td valign="middle" align="left"><a href="<?php echo $this->cancelurl; ?>"><?php echo JText::_('LD CANCEL ACTION'); ?></a></td>
			</tr>
		</table>
	  </td>
	</tr>
	</table>
	</fieldset>	
</form>
<div class="clr"></div>
<br />