<?php defined('_JEXEC') or die('Restricted access');

/**
 * @version 2.0 $Id: form.php,v 1.7 2010-01-30 17:31:33 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

?>

<script language="javascript" type="text/javascript">
	function submitbutton(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'cancelWebLink') {
			submitform( pressbutton );
			return;
		}

		// do field validation
		if (form.title.value == ""){
			alert( "<?php echo JText::_( 'WEBLINK ITEM MUST HAVE A NAME', true ); ?>" );
		} else if (form.catid.value == ""){
			alert( "<?php echo JText::_( 'WEBLINK NEED A WEBCATEGORY', true ); ?>" );
		} else if (form.url.value == ""){
			alert( "<?php echo JText::_( 'WEBLINK ITEM MUST HAVE A URL', true ); ?>" );
		} else {
			submitform( pressbutton );
		}
	}
</script>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<div class="col width-50">
	<fieldset class="adminform">
		<legend><?php echo JText::_('details'); ?></legend>

		<table class="admintable">
		<tr>
			<td width="100" align="right" class="key">
				<label for="title">
					<?php echo JText::_('LD_SITENAME'); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="title" id="title" size="32" maxlength="250" value="<?php echo $this->weblink->title;?>" />
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<label for="title">
					<?php echo JText::_('LD_LINK_IMG'); ?>
				</label>
			</td>
			<td><?php echo $this->lists['image'] .' ('. $this->lists['thumbnaildir'].')';?></td>
		</tr>
		<tr>
			<td valign="top" align="right" class="key">
				<?php echo JText::_('published'); ?>:
			</td>
			<td>
				<?php echo $this->lists['published']; ?>
			</td>
		</tr>
		<tr>
			<td valign="top" align="right" class="key">
				<label for="catid">
					<?php echo JText::_('LD CATEGORY'); ?>:
				</label>
			</td>
			<td>
				<?php echo $this->lists['catid']; ?>
			</td>
		</tr>
		<tr>
			<td valign="top" align="right" class="key">
				<label for="url">
					<?php echo JText::_('LD SITE URL'); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="url" id="url" value="<?php echo $this->weblink->url; ?>" size="32" maxlength="250" />
			</td>
		</tr>
		<tr>
			<td valign="top" align="right" class="key">
				<label for="thumburl">
					<?php echo JText::_('LD THUMBNAIL URL'); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="thumburl" id="thumburl" value="<?php echo $this->weblink->thumburl; ?>" size="32" maxlength="250" />
			</td>
		</tr>
		<tr>
			<td valign="top" align="right" class="key">
				<label for="ordering">
					<?php echo JText::_('order'); ?>:
				</label>
			</td>
			<td>
				<?php echo $this->lists['ordering']; ?>
			</td>
		</tr>
		<tr>
			<td valign="top" align="right" class="key">
				<label for="ordering">
					<?php echo JText::_( 'description' ); ?>
				</label>
			</td>
			<td>
				<textarea class="text_area" cols="44" rows="9" name="description" id="description"><?php echo $this->weblink->description; ?></textarea>
			</td>
		</tr>
		</table>
	</fieldset>
</div>		
<!--  - - - - - - - - - - - - - - - - - - - -->
<!--          Local Thumbnail Image         -->
<!--  - - - - - - - - - - - - - - - - - - - -->	
<div class="col width-50">
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'LD_IMAGE' ); ?></legend>

		<table class="admintable">
		<tr>
			<td colspan="2"><script language="javascript"
			type="text/javascript">
					if (document.forms[0].image.options.value!=''){
					  jsimg='<?php echo JURI::root() . $this->lists['thumbnaildir'];?>/' + document.forms[0].image.value;
					} else {
					  jsimg='<?php echo JURI::root()?>images/blank.png';
					}
					document.write('<img src=' + jsimg + ' name="imagelib" width="80" height="80" border="2" alt="<?php echo JText::_('LD_PREVIEW');?>" />');
					</script></td>
			</tr>
		</table>
	</fieldset>
</div>
<!--  - - - - - - - - - - - - - - - - - - - -->
<!--          Parameters                    -->
<!--  - - - - - - - - - - - - - - - - - - - -->
<div class="col width-50">
	<fieldset class="adminform">		
		<legend><?php echo JText::_( 'parameters' ); ?></legend>

		<table class="admintable">
		<tr>
			<td colspan="2">
				<?php echo $this->params->render();?>
			</td>
		</tr>
		</table>
	</fieldset>
</div>
<!--  - - - - - - - - - - - - - - - - - - - -->
<!--          Long Description              -->
<!--  - - - - - - - - - - - - - - - - - - - -->
<div class="col width-50">
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'LD_LONG_DESCRIPTION' ); ?></legend>
		<?php $editor =& JFactory::getEditor(); ?>
		<table class="admintable">
		<tr>
			<td><?php echo $editor->display('description_long', $this->weblink->description_long, '100%;', '300', '60', '20' );  ?>
			</td>
		</tr>
		</table>
	</fieldset>
</div>
<div class="clr"></div>

	<input type="hidden" name="option" value="com_linkdirectory2" />
	<input type="hidden" name="cid[]" value="<?php echo $this->weblink->id; ?>" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="source" value="<?php echo $this->source;?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>