<?php defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * @version 2.0 $Id: comment.php,v 1.9 2010-02-08 20:35:23 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

jimport( 'joomla.application.component.model' );

require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'LDConfig.php');

class LinkDirectory2ModelLdcomment extends JModel {

	private $_data = null;
	private $ld = null;
	
	public function __construct() {
		parent::__construct();
		$this->ld = new LDConfig();
	}

	/**
	 * Beim Speichern werden die Parameter 
	 * - rev_approved auf autopbcomment gesetzt
	 * - rev_date auf die aktuelle Zeit
	 * gesetzt.
	 *
	 */
	public function store($data) {
		$row =& $this->getTable('ldcomment');		
		if (!$row->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		$row->rev_date = gmdate('Y-m-d H:i:s');
		$row->fixApprovedForAutoApproved($this->ld->autopbcomment);
		$user = &JFactory::getUser();
		if ($user != null){
			$row->user_id = $user->get('id');
		} else {
			$row->user_id = 0;
		}
		if (!$row->check()) {		
			$this->setError($row->getErrorMsg());
			return false;
		}

		if (!$row->store()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		$this->_data = &$row;
		return true;
	}
}
?>